{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/document_template/edit') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/document_template/edit') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('configuration_document_template_overview') }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">{{ documentTemplate.getName() }}</span>
        {{ form_widget(documentTemplateForm.save, {'label': 'SPEICHERN', 'id': documentTemplateForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
        {% include 'component/mdc_context_menu_component.html.twig' with {
            'id': 'document_template',
            'listItems': [
                {
                    'label': 'Vorlage löschen',
                    'url': path('configuration_document_template_delete', {'documentTemplateId': documentTemplate.getId()}),
                    'icon': 'delete_forever'
                },
            ]
        } only %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card px-4 py-3 mb-4">
            <div class="row">
                <div class="col-md-4">
                    <div class="d-flex align-items-start flex-grow-1">
                        <a href="{{ path('file_download', {'fileUuid': documentTemplate.getFile().getUuid()}) }}">
                            <i class="material-icons display-1">cloud_download</i>
                        </a>
                    </div>
                    <p><i>Hochgeladen am: {{ documentTemplate.getCreatedAt().format('d.m.Y H:i') }}</i></p>
                </div>
            </div>
            {{ form_start(documentTemplateForm, {'attr': {'id': documentTemplateForm.vars.id ~ '_form'}}) }}
            {% include 'configuration/form/document_template/document_template_form.html.twig' with {'form': documentTemplateForm} only %}
            {{ form_row(documentTemplateForm._token) }}
            {{ form_end(documentTemplateForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}
